<h1>
    <f:translate key="system_check" default="System Check" />
</h1>

<f:if condition="{checks.shouldCreateUserHomePath}">
    <f:then>
        <f:be.infobox title="UserHomePath set to" state="0">
            Current value: {checks.userHomePath}
        </f:be.infobox>
        <f:if condition="{checks.userHomePathExists}">
            <f:then>
                <f:be.infobox title="userHomePath is existing" state="0">
                    Your userHomePath is correctly configured and exists
                </f:be.infobox>
            </f:then>
            <f:else>
                <f:be.infobox title="userHomePath is not existing" state="2">
                    Your userHomePath is not correctly configured and does not exists
                </f:be.infobox>
            </f:else>
        </f:if>
    </f:then>
    <f:else>
        <f:be.infobox title="UserHomePath can not created automatically, setting is missing" state="2">
            Please set it in the installtooll
        </f:be.infobox>
    </f:else>
</f:if>

<f:if condition="{checks.shouldCreateGroupHomePath}">
    <f:then>
        <f:be.infobox title="groupHomePath set to" state="0">
            Current value: {checks.groupHomePath}
        </f:be.infobox>
        <f:if condition="{checks.groupHomePathExists}">
            <f:then>
                <f:be.infobox title="groupHomePath is existing" state="0">
                    Your groupHomePath is correctly configured and exists
                </f:be.infobox>
            </f:then>
            <f:else>
                <f:be.infobox title="UserHomePath is not existing" state="2">
                    Your groupHomePath is not correctly configured and does not exists
                </f:be.infobox>
            </f:else>
        </f:if>
    </f:then>
    <f:else>
        <f:be.infobox title="GroupHomePath can not created automatically, setting is missing" state="2">
            Please set it in the installtooll
        </f:be.infobox>
    </f:else>
</f:if>

<f:if condition="{checks.newUserDefault.group}">
    <f:then>
        <f:be.infobox title="new user default group is set to" state="0">
            Current value: {checks.newUserDefault.group}
        </f:be.infobox>
    </f:then>
    <f:else>
        <f:be.infobox title="No Default group set for new users" state="2">
            Please set the following option in pageTS
            <pre>mod.web_txsitemgr.customer.createUser.group</pre>
        </f:be.infobox>
    </f:else>
</f:if>

<f:if condition="{checks.customerPidPage}">
    <f:then>
        <f:be.infobox title="New customers are created below page" state="0">
            Current value: {checks.customerPidPage}
        </f:be.infobox>
    </f:then>
    <f:else>
        <f:be.infobox title="no global customer PID set" state="1">
            Please set the following option in pageTS
            <pre>mod.web_txsitemgr.customer.customerPidPage</pre>
        </f:be.infobox>
    </f:else>
</f:if>